import QtQuick
import QtQuick3D

Window {
    id: window
    visible: true
    width: 480
    height: 480
    title: qsTr("Simple Skinning")

    Rectangle
    {
        id: prob
        width: 2048
        height: 1024

        Image
        {
            id: name
            source: "qrc:/probes/tears_of_steel_bridge_2k.jpg"
        }
    }

    View3D {
        id: view
        anchors.fill: parent

        environment: SceneEnvironment {
            clearColor: window.color
            antialiasingMode: SceneEnvironment.MSAA
            antialiasingQuality: SceneEnvironment.VeryHigh
            backgroundMode: SceneEnvironment.SkyBox
            lightProbe: Texture {
                source: "qrc:/probes/tears_of_steel_bridge_2k.jpg"
//                sourceItem: prob
                mappingMode: Texture.LightProbe
            }
            probeExposure: 1.0
            probeOrientation: Qt.vector3d(0, -90, 0)
        }

        PerspectiveCamera
        {
            id: camera
            clipNear: 1.0
            clipFar: 1000.0
            eulerRotation:  Qt.vector3d(15, 45, 0)
            fieldOfView: 70
        }
    }
}
